<?xml version='1.0'?>
<config>
    <description>Arago reference distribution for scarthgap-next (CICD)</description>

    <xi:include href='../common/motd_cicd.xml' xmlns:xi='http://www.w3.org/2001/XInclude'/>
    <xi:include href='../common/targets_arago.xml' xmlns:xi='http://www.w3.org/2001/XInclude'/>
    <xi:include href='../templates/bblayers.conf.xml' xmlns:xi='http://www.w3.org/2001/XInclude'/>
    <xi:include href='../templates/local-arago64-v2.conf.xml' xmlns:xi='http://www.w3.org/2001/XInclude'/>

    <bitbake url='https://git.openembedded.org/bitbake' branch='2.8' commit='HEAD'/>

    <repos>
        <repo name='meta-arago' url='https://git.yoctoproject.org/meta-arago' branch='scarthgap-next' commit='HEAD'>
            <layers>
                <layer>meta-arago-distro</layer>
                <layer>meta-arago-extras</layer>
                <layer>meta-arago-test</layer>
            </layers>
        </repo>
        <repo name='meta-browser' url='https://github.com/OSSystems/meta-browser.git' branch='master' commit='68e8cbf51ac46c8c1b3923ee2b20e27ba9d3faa4' disabled='true'>
            <layers>
                <layer>meta-chromium</layer>
            </layers>
        </repo>
        <repo name='meta-selinux' url='https://git.yoctoproject.org/meta-selinux' branch='scarthgap' commit='HEAD' disabled='true'>
            <layers/>
        </repo>
        <repo name='meta-qt6' url='https://code.qt.io/yocto/meta-qt6.git' branch='6.9' commit='HEAD'>
            <layers/>
        </repo>
        <repo name='meta-virtualization' url='https://git.yoctoproject.org/meta-virtualization' branch='scarthgap' commit='HEAD'>
            <layers/>
        </repo>
        <repo name='meta-openembedded' url='https://git.openembedded.org/meta-openembedded' branch='scarthgap' commit='HEAD'>
            <layers>
                <layer>meta-networking</layer>
                <layer>meta-python</layer>
                <layer>meta-oe</layer>
                <layer>meta-gnome</layer>
                <layer>meta-filesystems</layer>
                <layer>meta-multimedia</layer>
            </layers>
        </repo>
        <repo name='meta-ti' url='https://git.yoctoproject.org/meta-ti' branch='scarthgap-next' commit='HEAD'>
            <layers>
                <layer>meta-ti-extras</layer>
                <layer>meta-beagle</layer>
                <layer>meta-ti-bsp</layer>
            </layers>
        </repo>
        <repo name='meta-arm' url='https://git.yoctoproject.org/meta-arm' branch='scarthgap' commit='HEAD'>
            <layers>
                <layer>meta-arm</layer>
                <layer>meta-arm-toolchain</layer>
            </layers>
        </repo>
        <repo name='meta-clang' url='https://github.com/kraj/meta-clang' branch='scarthgap' commit='HEAD'>
            <layers/>
        </repo>
        <repo name='oe-core' url='https://git.openembedded.org/openembedded-core' branch='scarthgap' commit='HEAD'>
            <layers>
                <layer>meta</layer>
            </layers>
        </repo>
    </repos>

    <local-conf>
        <line>OVERRIDES:append = ":recipe-${@os.path.basename(d.getVar('FILE'))}"</line>
        <line>BRANCH:recipe-ltp-ddt_20250130.bb = "cicd"</line>
        <line>BRANCH:recipe-cadence-mhdp-fw_git.bb = "ti-linux-firmware-next"</line>
        <line>BRANCH:recipe-cnm-wave-fw_git.bb = "ti-linux-firmware-next"</line>
        <line>BRANCH:recipe-goodix-fw_git.bb = "ti-linux-firmware-next"</line>
        <line>BRANCH:recipe-linux-ti-staging_6.12.bb = "ti-linux-6.12.y-cicd"</line>
        <line>BRANCH:recipe-linux-ti-staging-rt_6.12.bb = "ti-linux-6.12.y-cicd"</line>
        <line>BRANCH:recipe-prueth-fw_5.6.15.bb = "ti-linux-firmware-next"</line>
        <line>BRANCH:recipe-pruhsr-fw_2.17.25.bb = "ti-linux-firmware-next"</line>
        <line>BRANCH:recipe-pruprp-fw_2.17.25.bb = "ti-linux-firmware-next"</line>
        <line>BRANCH:recipe-prusw-fw_3.2.9.bb = "ti-linux-firmware-next"</line>
        <line>BRANCH:recipe-ti-dm-fw.bb = "ti-linux-firmware-next"</line>
        <line>BRANCH:recipe-ti-eth-fw.bb = "ti-linux-firmware-next"</line>
        <line>BRANCH:recipe-ti-rtos-firmware.bb = "ti-linux-firmware-next"</line>
        <line>BRANCH:recipe-ti-sci-fw_git.bb = "ti-linux-firmware-next"</line>
        <line>BRANCH:recipe-u-boot-ti-staging_2025.01.bb = "ti-u-boot-2025.01-next"</line>
        <line>BRANCH:recipe-vxd-dec-fw_git.bb = "ti-linux-firmware-next"</line>
    </local-conf>

    <tools>
        <tool type='oe-layersetup'>
            <var name='BITBAKE_INCLUSIVE_VARS' value='yes'/>
        </tool>
    </tools>
</config>
